//
// C++ Interface: DataTemperatureReprezentation
//
// Description: 
//
//
// Author: Marek Grochowski <grochu@fizyka.umk.pl>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef __DATA_TEMPERATURE_TRANSFORMATION_H
#define __DATA_TEMPERATURE_TRANSFORMATION_H

#include "Parameters.h"
#include "Results.h"
#include "Data.h"
#include "LabelsReprezentation.h"
#include "Model.h"
class DataTemperatureReprezentation : public Transformation
{
    LabelsReprezentation *lrTable;
protected:
    
public:

	DataTemperatureReprezentation()
	{	
        lrTable =NULL;
	};

   Data* Learn(Data *trainData); 
	Data* Run(Data *dataToTransform);

	void Reset();
	
	~DataTemperatureReprezentation()
	{
        Reset();
	}
	void Configure(Parameters &p)
	{};
};


#endif


