#include "Results.h"

void Results::AddResult(float r)
{
	sum+=r;
	accuracyTable.push_back(r);
}

float Results::Mean()
{
	int i=(int)accuracyTable.size();

	if(i!=0) mean_acc=sum/(float)i;
	return mean_acc;
}

float Results::Std()
{
	list<float>::iterator it;
	
	float cum=0.0;
	int n=(int)accuracyTable.size();
	if(n < 2) return 0;

	for(it=accuracyTable.begin();it!=accuracyTable.end();it++)
	{
		float diff=mean_acc-*it;
		cum+=diff*diff;
	}
	
	std=sqrt(cum/(float)(n-1));

	return std;
}

void Results::Refresh()
{
	Mean();
	Std();
}

void Results::Clear()
{
	accuracyTable.clear();
	ber=0.0;
	mean_acc=0.0;
	std=0.0;
	sum=0.0;
}
