#ifndef __RESULTS_H
#define __RESULTS_H

#include <list>
#include <cmath>

using namespace std;

class Results
{
	float sum;

public:
	list<float> accuracyTable;
	float mean_acc;
	float std;
	float ber;

	Results()
	{
		Clear();
	}

	void AddResult(float r);		
	
	~Results()
	{
		accuracyTable.clear();
	};
	
	void Refresh();
	void Clear();
	float Mean();
	float Std();

};

#endif


