//
// C++ Interface: RandomID
//
// Description: 
//
//
// Author: Marek Grochowski <grochu@fizyka.umk.pl>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef _RANDOMID_H
#define _RANDOMID_H
#include <stdlib.h>
#include <time.h>
#include "exceptions.h"

class RandomID
{
private:
   int *id_tab;
   int size;
   int current;
  
   static unsigned int seed;
  
public:
    RandomID();
    
    RandomID(int size);
    void Clear(int size);
    void Resample();
    int Next();
    
    ~RandomID();
    int operator*();
};

#endif

