//
// C++ Interface: test
//
// Description: 
//
//
// Author: Marek Grochowski <grochu@fizyka.umk.pl>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#define DEBUG 0
#include <iostream>
#include "Data.h"
#include "BinaryData.h"
#include "Parameters.h"
#include "Model.h"
#include "Tester.h"
#include <time.h>
#include <vector>
#include "BitVector.h"
#include "exceptions.h"
#include "Normalization.h"
#include "KernelTransformation.h"
#include "RandomID.h"
#include "LabelsReprezentation.h"
#include <string>
#include "DataTemperatureReprezentation.h"
#include "InconsistentFilter.h"

using namespace std;

//void KenrelTransformationAndCV(Parameters &p);
void DataCreator(Parameters &p);
void DisplayStatisctics(Parameters &p);
void SelectVectors(Parameters &p);
BitVector* ReadId(long vectors,istream &in);
void RemoveInconsistency(Parameters &p);
